package com.gh.gamecenter.setting.compose.ui.component

import androidx.compose.foundation.layout.*
import androidx.compose.material.Text
import androidx.compose.runtime.Composable
import androidx.compose.ui.Alignment
import androidx.compose.ui.Modifier
import androidx.compose.ui.unit.dp
import androidx.compose.ui.unit.sp
import com.gh.gamecenter.setting.compose.ui.theme.HaloTheme

@Composable
fun SettingTitle(title: String) {
    Row(
        modifier = Modifier
            .fillMaxWidth()
            .padding(top = 4.dp)
    ) {
        Text(
            text = title,
            color = HaloTheme.colors.textSubtitleDesc,
            fontSize = 12.sp,
            modifier = Modifier
                .fillMaxWidth()
                .height(36.dp)
                .padding(start = 20.dp)
                .wrapContentHeight(align = Alignment.CenterVertically)
        )
    }
}